Package ru.bitel.bgbilling.modules.phone.common.bean

# Class Gate

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.phone.common.bean.Gate

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`

    public class Gate
    extends Id
    implements GuiTitlable

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Gate()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getConfig()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `java.lang.String` | `getHost()` |
  `java.lang.String` | `getKeyword()` |
  `int` | `getPort()` |
  `int` | `getTypeId()` |
  `java.lang.String` | `getTypeTitle()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setHost​(java.lang.String host)` |
  `void` | `setKeyword​(java.lang.String keyword)` |
  `void` | `setPort​(int port)` |
  `void` | `setTypeId​(int typeId)` |
  `void` | `setTypeTitle​(java.lang.String typeTitle)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Gate

    public Gate()

- ## Method Details

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId​(int typeId)

  - ### getHost

    public java.lang.String getHost()

  - ### setHost

    public void setHost​(java.lang.String host)

  - ### getPort

    public int getPort()

  - ### setPort

    public void setPort​(int port)

  - ### getKeyword

    public java.lang.String getKeyword()

  - ### setKeyword

    public void setKeyword​(java.lang.String keyword)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getTypeTitle

    public java.lang.String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle​(java.lang.String typeTitle)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.